Subject: Re: [PATCH v2 1/2] mac80211: improved short preamble handling

From: "John W. Linville" <[email-masked]>
Date: Thu, 19 Jul 2007 15:15:13 -0400

On Sun, Jul 15, 2007 at 03:07:39PM +0100, Daniel Drake wrote:
> Similarly to CTS protection, whether short preambles are used for 802.11b
> transmissions should be a per-subif setting, not device global.
> 
> For STAs, this patch makes short preamble handling automatic based on the ERP
> IE. For APs, hostapd still uses the prism ioctls, but the write ioctl has been
> restricted to AP-only subifs.
> 
> ieee80211_txrx_data.short_preamble (an unused field) was removed.
> 
> Unfortunately, some API changes were required for the following functions:
>  - ieee80211_generic_frame_duration
>  - ieee80211_rts_duration
>  - ieee80211_ctstoself_duration
>  - ieee80211_rts_get
>  - ieee80211_ctstoself_get
> Affected drivers (bcm43xx, rt2x00 and rtl8187) were updated accordingly.
> 
> Signed-off-by: Daniel Drake <[email-masked]>

Jiri, Michael -- this applies to upstream w/ just some offsets if you
ignore the driver bits that aren't upstream.  I'll be happy to handle
the patch monkeying if you are happy w/ this patch.

John
-- 
John W. Linville
[email-masked]